%funkcia na vypocet doby dozvuku RT pripadne pociatocnej doby dozvuku EDT
% vstup je schroederov integral impulznej odozvy, rozsah z ktoreho ma byt
% doba dozvuku vypocitana a vzorkovaci kmitocet.

function [t] = dozvuk(z,y_fit,Fvz)

%premena na decibely, normalizacia k 0 dB a odstranenie nekonecnych hodnot
E = 10.*log10(z); 
E = E-max(E); 
E = E(1:find(isinf(E),1)-1);

IX = find(E<=max(y_fit),1):find(E<=min(y_fit),1);   % najde hodnoty na ose x


diff_y = abs(diff(y_fit)); % rozsah decibelov na extrapolaciu vysledneho casu
t = (60/diff_y)*(max(IX)-min(IX))/Fvz; % doba dozvuku